﻿version
6.50
0
frmLanguage
1
frmLanguageNew:FormLib
Sub designer
addform(frmLanguage,"Sparche","",255,255,255)@
addradiobtn(frmlanguage,rbtJapanese,120,130,90,25,"Japanese",255,255,255,0,0,0,False,True,False,10)@
addradiobtn(frmlanguage,rbtRussian,120,100,90,25,"Русский",255,255,255,0,0,0,False,True,False,10)@
addradiobtn(frmlanguage,rbtPortuguese,120,70,90,25,"Português",255,255,255,0,0,0,False,True,False,10)@
addradiobtn(frmlanguage,rbtSpanish,120,40,90,25,"Español",255,255,255,0,0,0,False,True,False,10)@
addradiobtn(frmlanguage,rbtItalian,15,130,90,25,"Italiano",255,255,255,0,0,0,False,True,False,10)@
addradiobtn(frmlanguage,rbtGerman,15,100,90,25,"Deutsch",255,255,255,0,0,0,False,True,False,10)@
addradiobtn(frmlanguage,rbtFrench,15,70,90,25,"Français",255,255,255,0,0,0,False,True,False,10)@
addradiobtn(frmlanguage,rbtEnglish,15,40,90,25,"English",255,255,255,0,0,0,False,True,False,10)@
addimagebutton(frmlanguage,imgButLanguage,0,0,240,30,"Sprache-Auswahl",212,208,200,0,0,0,"cStretchImage","grafik\blau.gif",False,False,True,12)@
addmenuitem(frmlanguage,mnuLanguageOK,"OK",True,False)@
addmenuitem(frmlanguage,mnuLanguageCancel,"Abbruch",True,False)@


End Sub
@EndOfDesignText@
Sub Globals
  Public Text(35)
  Dim strArray(2)
  ' varaibles for Language
  cEnglish="E"
  cFrench="F"
  cGerman="G"
  cSpanish="S"
  cItalian="I"
  cPortuguese="P"
  cJapanese="J"
  cRussian="R"
End Sub

Public Sub InitLanguage
  If main.scale=2 Then main.ChangeToVGA("mLanguage.frmLanguage")
  frmLanguageNew.New1("frmLanguage",B4PObject(1))
  frmLanguageNew_resize
  InitLanguageSetting
End Sub

Sub frmLanguageNew_resize 
  imgButLanguage.Width=frmLanguage.Width
End Sub

Sub InitLanguageSetting	
	If FileExist(AppPath&"\lng\SpracheE.txt")=True Then
		rbtEnglish.Enabled=True
	End If

	If FileExist(AppPath&"\lng\SpracheF.txt")=True Then
		rbtFrench.Enabled=True
	End If

	If FileExist(AppPath&"\lng\SpracheD.txt")=True Then
		rbtGerman.Enabled=True
	End If

	If FileExist(AppPath&"\lng\SpracheS.txt")=True Then
		rbtSpanish.Enabled=True
	End If

	If FileExist(AppPath & "\lng\SpracheI.txt")=True Then
		rbtItalian.Enabled=True	
	End If
	
	If FileExist(AppPath & "\lng\SpracheP.txt")=True Then
		rbtPortuguese.Enabled=True
	End If

	If FileExist(AppPath&"\lng\SpracheR.txt")=True Then
		rbtRussian.Enabled=True
	End If

	If FileExist(AppPath&"\lng\SpracheJ.txt")=True Then
		rbtJapanese.Enabled=True
	End If

	Select main.Language_I
	Case cEnglish
		rbtEnglish.Checked=True
	Case cFrench
		rbtFrench.Checked=True
	Case cGerman
		rbtGerman.Checked=True
	Case cSpanish
		rbtSpanish.Checked=True
	Case cItalian
		rbtItalian.Checked=True
	Case cPortuguese
		rbtPortuguese.Checked=True
	Case cRussian
		rbtRussian.Checked=True
	Case cJapanese
		rbtJapanese.Checked=True
	End Select

	LoadLanguageText
	UpdateLanguage
End Sub

Sub UpdateLanguage
  main.mnuSound.Text=Text(1)
  main.mnuSoundKein.Text=Text(2)
  main.mnuSoundFanfare.Text=Text(20)
  main.mnuSoundKlingeln.Text=Text(21)
  main.mnuTabelle.Text=Text(3)
  main.mnuExit.Text=Text(4)
  imgButLanguage.Text=Text(7)
  mnuLanguageCancel.Text=Text(8)
  main.mnuLanguage.Text=Text(9)
  mTable.lbltitel.Text=Text(10)
  mTable.mnuSave.text=Text(11)
  mTable.lblTime.text=Text(13) & ":"
  mTable.lblNew.Text=Text(14)
  mTable.lblUpdate.Text=Text(15)
  mTable.lblDelete.Text=Text(16)
  mTable.lblText.Text=Text(17) & ":"
  main.mnuWarnTime.Text=Text(23)
  main.mnuWarnTimeNone.Text=Text(24)
  main.mnuWarnTimeMin1.Text=Text(25)
  main.mnuWarnTimeMin5.Text=Text(26)
End Sub

Sub LoadLanguageText
	Dim LFile
	
	Select main.Language_I
	Case cEnglish
		LFile=AppPath&"\lng\SpracheE.txt"
	Case cFrench
		LFile=AppPath&"\lng\SpracheF.txt"
	Case cGerman
		LFile=AppPath&"\lng\SpracheD.txt"
	Case cSpanish
		LFile=AppPath&"\lng\SpracheS.txt"
	Case cItalian
		LFile=AppPath&"\lng\SpracheI.txt"
	Case cPortuguese
		LFile=AppPath&"\lng\SpracheP.txt"
	Case cJapanese
		LFile=AppPath&"\lng\SpracheJ.txt"
	End Select
	
	FileOpen(c1,LFile,cRead,,)
	r=FileRead(c1)

	Do Until r = EOF
		If r<>"" Then
			strArray()=StrSplit(r, "=")
			Text(strArray(0))=strArray(1)
		End If
		r = FileRead (c1)
	Loop
	
	FileClose(c1)
End Sub

Sub rbtEnglish_Click
	main.Language_I=cEnglish
End Sub

Sub rbtFrench_Click
	main.Language_I=cFrench
End Sub

Sub rbtGerman_Click
	main.Language_I=cGerman
End Sub

Sub rbtSpanish_Click
	main.Language_I=cSpanish
End Sub

Sub rbtItalian_Click
	main.Language_I=cItalian
End Sub

Sub rbtPortuguese_Click
	main.Language_I=cPortuguese
End Sub

Sub rbtRussian_Click
	main.Language_I=cRussian
End Sub

Sub rbtJapanese_Click
	main.Language_I=cJapanese
End Sub

Sub mnuLanguageOK_Click
  LoadLanguageText
  mTable.InitTable
  UpdateLanguage
  frmLanguage.Close
End Sub

Sub mnuLanguageCancel_Click
  frmLanguage.Close
End Sub

